{% load static i18n %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>TG Bots</title>
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}"
          type="text/css">
    <link rel="stylesheet" href="{% static 'css/fontawesome-all.css' %}"
          type="text/css">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
</head>
<body>
<div class="container">
  {% if request.user.is_authenticated %}
    <dev class="col-8 tg-content">
      <form role="form" action="{% url 'tg_bot:task' %}" id="form-action" method="post">
        <div class="form-row">
          <div class="col form-group required">
            <label for="group" class="control-label">Group</label>
            <input type="text" name="group" class="form-control" id="group"
                   placeholder="Group*" required>
          </div>
          <div class="col form-group">
            <label for="message">Message</label>
            <input type="text" name="message" class="form-control" id="message"
                   placeholder="Message">
          </div>
        </div>
        <div class="form-row">
          <div class="col form-group">
            <label for="min_time">Min time between message, join or leave</label>
            <input type="number" name="min_time" class="form-control" id="min_time"
                   placeholder="Min time">
          </div>
          <div class="col form-group">
            <label for="max_time">Max time between message, join or leave</label>
            <input type="number" name="max_time" class="form-control" id="max_time"
                   placeholder="Max time">
          </div>
        </div>
        <div class="form-group required">
          <div class="control-label">Action</div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="action" id="inlineRadio1" value="join" checked>
            <label class="form-check-label" for="inlineRadio1">Join group</label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="action" id="inlineRadio2" value="message">
            <label class="form-check-label" for="inlineRadio2">Send message</label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="action" id="inlineRadio3" value="leave">
            <label class="form-check-label" for="inlineRadio3">Leave group</label>
          </div>
        </div>
        <div class="form-group">
          <button type="submit" class="btn btn-default">Submit</button>
          <div class="form-group response"></div>
        </div>
      </form>
      <form role="form" action="/tg_bot/tg_acc/" id="tg-account-form" method="post">
        <div class="form-row">
          <div class="col form-group required">
            <label for="phone_number" class="control-label">Phone number</label>
            <input type="text" class="form-control" id="phone_number"
                   name="phone_number" placeholder="Phone number*">
          </div>
        <div class="col form-group">
          <label for="password" class="control-label">Password</label>
          <input type="text" class="form-control" id="password" name="password"
                 placeholder="Password">
          </div>
        </div>
        <div class="form-row">
          <div class="col form-group required">
            <label for="api_id" class="control-label">api_id</label>
            <input type="text" class="form-control" id="api_id" name="api_id"
                   placeholder="api_id">
          </div>
          <div class="col form-group required">
            <label for="api_hash" class="control-label">api_hash</label>
            <input type="text" class="form-control" id="api_hash"
                   name="api_hash" placeholder="api_hash">
          </div>
        </div>
        <button type="submit" class="btn btn-default">Add account</button>
        <div class="form-group response"></div>
      </form>
      <form role="form" class="collapse" id="phone_code_form" action="{% url 'tg_bot:phone_code' %}" method="post">
        <div class="form-row col-5 form-group">
          <div class="col">
            <input type="text" class="form-control" name="phone_code"
                   placeholder="Phone code">
          </div>
        <button type="submit" class="btn btn-default">Confirm</button>
        <div class="form-group response"></div>
        </div>
      </form>
    </dev>
    <div class="col-4 tg-content">

      <div class="col-3 box">
        <form class="ajax-post" role="form"
              action="{% url 'rest_logout' %}" method="post" id="logout">
          <button type="submit" class="btn btn-default">Logout</button>
          <div class="form-group response"></div>
        </form>
        <div class="login">username: {{ request.user.username }}</div>
      </div>
      <div class="col-6 box">
        <button class="btn btn-default show-accounts"
                data-toggle="collapse"
                data-target="#table-accounts" aria-expanded="false">
              <i class="fas fa-plus"></i> Show accounts</button>

        <div class="table-responsive table-accounts collapse" id="table-accounts"
             aria-expanded="false">
          <table class="table">
            <thread>
              <tr>
                <th>ID</th>
                <th>Phone</th>
                <th></th>
              </tr>
            </thread>
            <tbody id="accounts">
            </tbody>
          </table>
        </div>
      </div>
      <div class="col-2 box">
        <div class="notification">
          <i class="fas fa-bell"></i>
          <span class="num"></span>
          <ul id="messages">
          </ul>
        </div>
      </div>
    </div>
  {% else %}
    {% include 'login.html' %}
  {% endif %}
</div>
  <script src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
  <script src="{% static 'js/popper.min.js' %}"></script>
  <script src="{% static 'js/bootstrap.min.js' %}"></script>
  <script src="{% static 'js/main.js' %}"></script>
  {% if request.user.is_authenticated %}
    <script src="{% static 'js/auth_tg.js' %}"></script>
  {% endif %}
  </body>
</html>